package com.tykj.dev.config.base;

import com.tykj.dev.config.domin.SystemConfig;
import lombok.AllArgsConstructor;

/**
 * @author dengdiyi
 * 职务枚举
 */

@AllArgsConstructor
public enum Position {
    /**
     * 干事
     */
    POSITION_0(0, "干事"),
    /**
     * 领导
     */
    POSITION_1(1, "领导");

    public Integer id;

    public String name;

    public SystemConfig toDo(){
        SystemConfig systemConfig = new SystemConfig();
        systemConfig.setValue(id);
        systemConfig.setLabel(name);
        systemConfig.setChineseName("职务");
        systemConfig.setEnglishName("position");
        return systemConfig;
    }
}
